//
// Project UnReality: The First Nintendo 64 Emulator
// Copyright (C) 1997-1998, Cold Fusion Entertainment
// All rights reserved
//
// This source code is unpublished propietary information of Cold Fusion Entertainment.  No portion of this software
// may be disclosed to any third party or copied or duplicated in any form, in whole or in part, without the prior
// written consent of Cold Fusion Entertainment.
// 

//
// $Log: AUDIO.H $
// Revision 1.4  1998/03/22 17:50:34  BREAKPOINT
// Final integration with DeltaPlayer... plays everything including static buffers for audio emulation.
// Revision 1.3  1998/03/10 22:02:57  BREAKPOINT
// Second pass with DeltaPlayer in Project UnReality... now working quite
// well, just need streaming buffer playback and static buffers for emulation.
// Revision 1.2  1998/03/10 01:12:59  BREAKPOINT
// First pass at adding DeltaPlayer to Project UnReality...
// Revision 1.1  1998/03/08 19:07:35  unknown
// Initial revision
//

//---------------------------------------------------------------------------------------------------------------------

#ifndef AUDIO_H
#define AUDIO_H

#include <types.h>
#include "DeltaPlayer.h"

extern bool Audio_Disable;

extern Device *audio_dev;
extern Loader *audio_loader;
extern Replayer *audio_replayer;
extern SongStruct audio_song;
extern HANDLE hAudioCallbackBlock, hAudioRegsBlock;

void Audio_SetMix(int val);

void Audio_Reset(void);
bool Audio_Init(void);
void Audio_Deinit(void);

void Audio_Play(sshort *ptr, ulong len);
void Audio_Stop(void);
void Audio_Unpause(void);
void Audio_Pause(void);
void Audio_SampleRate(ulong rate);
void Audio_BitRate(ulong bits);

void Audio_Autodetect(void);
void Audio_LoadFile(void);
void Audio_PlayFile(void);
void Audio_UnpauseFile(void);
void Audio_PauseFile(void);
void Audio_StopFile(void);

#endif
